Home Dashboard Directory Help
Search

Running as administrator and running "update-help" fails to update the module 'AppBackgroundTask' by Gary Bonie


Status: 

Active


11
0
Sign in
to vote
Type: Bug
ID: 809166
Opened: 11/20/2013 3:23:13 PM
Access Restriction: Public
0
Workaround(s)
view
7
User(s) can reproduce this bug

Description

All help updates correctly except the help for AppBackgroundTask.

Update-Help : Failed to update Help for the module(s) 'AppBackgroundTask' with UI culture(s) {en-US} : The value of the HelpInfoUri
key in the module manifest must resolve to a container or root URL on a website where the help files are stored. The HelpInfoUri
'http://technet.microsoft.com/en-us/library/dn296421.aspx' does not resolve to a container.
At line:1 char:1
+ Update-Help -Verbose -force
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo         : InvalidOperation: (:) [Update-Help], Exception
    + FullyQualifiedErrorId : InvalidHelpInfoUri,Microsoft.PowerShell.Commands.UpdateHelpCommand


PS C:\WINDOWS\system32> $PSVersionTable

Name                         Value                                                                                                
----                         -----                                                                                                
PSVersion                     4.0                                                                                                
WSManStackVersion             3.0                                                                                                
SerializationVersion         1.1.0.1                                                                                            
CLRVersion                     4.0.30319.34003                                                                                    
BuildVersion                 6.3.9600.16394                                                                                        
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}                                                                                
PSRemotingProtocolVersion     2.2        
Details
Sign in to post a comment.
Posted by Vladimir Molodnyakov on 12/1/2013 at 3:55 PM
got it too. Windows 8.1 with all updates installed.
btw, are there any way to filter out the particular module and update help for all the rest?

PS C:\Windows\system32> $PSVersionTable

Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
SerializationVersion         1.1.0.1
CLRVersion                     4.0.30319.34003
BuildVersion                 6.3.9600.16394
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2
Posted by Charlie Calvert on 11/28/2013 at 8:34 AM
Me too. Windows 8.1:

PS C:\WINDOWS\system32> $PSVersionTable

Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
SerializationVersion         1.1.0.1
CLRVersion                     4.0.30319.34003
BuildVersion                 6.3.9600.16394
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2
Posted by Alex Odintsov on 11/27/2013 at 2:14 PM
the same issue:
Win 8.1 Enterprise (Surface 1 Pro)
Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
SerializationVersion         1.1.0.1
CLRVersion                     4.0.30319.34003
BuildVersion                 6.3.9600.16394
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2
Posted by Wolf J. Flywheel on 11/27/2013 at 11:17 AM
Same here, on a freshly installed 8.1 Enterprise machine.

$PSVersionTable
Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
SerializationVersion         1.1.0.1
CLRVersion                     4.0.30319.34003
BuildVersion                 6.3.9600.16394
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2
Sign in to post a workaround.